Package com.emc.d2fs.interfaces

# Interface IDistributionService

All Superinterfaces:
  `ID2fsService`

public interface IDistributionService extends ID2fsService
Document distribution services.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Node>`
  `getDistributionContent(Context context, List<Attribute> attributes)`
  Get the list of distributions for he user define in the context.
  `String`
  `getReportFileName(Context context, String id)`
  return a file name for the distribution report generated.
  `List<Attribute>`
  `getSignoffParameters(Context context, String configName, String action)`
  return the signoff configuration for a distribution.
  `boolean`
  `handleAction(Context context, String id, List<Attribute> attributes)`
  Handle action accept o reject on a document for a distribution.
  `boolean`
  `launchDistribution(Context context, String id, List<Attribute> attributes)`
  Launch a distribution on a document.
  `boolean`
  `stopDistribution(Context context, String id, List<Attribute> attributes)`
  Stop a distribution on a document.

  ### Methods inherited from interface com.emc.d2fs.interfaces.ID2fsService

  `isRemote, setRemote`

- ## Method Details

  - ### launchDistribution

    boolean launchDistribution(Context context, String id, List<Attribute> attributes) throws Exception
    Launch a distribution on a document.
    Parameters:
      `context` - `Context` object containing informations about client/session
      `id` - String value of the distribution tracker id
      `attributes` - List some parameters.
      - config_name: DF_STRING - (optional)Configuration name
      - docId: DF_ID - Id of object for distribution
      - list: DF_STRING - List of object attribute names (separated by AttributeUtils.SEPARATOR_VALUE)
    Returns:
      boolean
    Throws:
      `Exception`
    Since:
      4.0.1

  - ### stopDistribution

    boolean stopDistribution(Context context, String id, List<Attribute> attributes) throws Exception
    Stop a distribution on a document.
    Parameters:
      `context` - `Context` object containing informations about client/session
      `id` - String value of the distribution tracker id
      `attributes` - List some parameters.
      - config_name: DF_STRING - Configuration name
    Returns:
      boolean
    Throws:
      `Exception`
    Since:
      4.0.1

  - ### getDistributionContent

    List<Node> getDistributionContent(Context context, List<Attribute> attributes) throws Exception
    Get the list of distributions for he user define in the context.
    Parameters:
      `context` - `Context` object containing informations about client/session
      `attributes` - List some parameters.
    Returns:
      boolean
    Throws:
      `Exception`
    Since:
      4.0.1

  - ### handleAction

    boolean handleAction(Context context, String id, List<Attribute> attributes) throws Exception
    Handle action accept o reject on a document for a distribution.
    Parameters:
      `context` - `Context` object containing informations about client/session
      `id` - String value of the distribution tracker id
      `attributes` - List some parameters.
      - config_name: DF_STRING - Configuration name
      - action: DF_STRING - Action name {"accept", "reject"}
      - signoff_required: DF_BOOLEAN - Determine is signoff is required.
      - signoff_intention: DF_STRING - Signoff intention.
    Returns:
      boolean
    Throws:
      `Exception`
    Since:
      4.0.1

  - ### getSignoffParameters

    List<Attribute> getSignoffParameters(Context context, String configName, String action) throws Exception
    return the signoff configuration for a distribution.
    Parameters:
      `context` - `Context` object containing informations about client/session
      `configName` - String value of the distribution module
      `action` - : "accept" or "reject"
    Returns:
      List signoff parameters
    Throws:
      `Exception`
    Since:
      4.1.0

  - ### getReportFileName

    String getReportFileName(Context context, String id) throws Exception
    return a file name for the distribution report generated.
    Parameters:
      `context` - `Context` object containing informations about client/session
      `id` - String the distribution tracker id.
    Returns:
      String the report file name.
    Throws:
      `Exception`
    Since:
      4.1